import './header-styles.scss';
interface IHeaderProps {
    /** onPrimaryButtonPress: is optional prop which defines action on primary button press */
    onPrimaryButtonPress?: () => void;
    /** onSecondaryButtonPress: is optional prop which defines action on secondary button press */
    onSecondaryButtonPress?: () => void;
    /** onTernaryButtonPress: is optional prop which defines action on ternary button press */
    onTernaryButtonPress?: () => void;
    /** primaryButtonTitle: is optional prop which defines title of primary button  */
    primaryButtonTitle?: string;
    /** secondaryButtonTitle: is optional prop which defines title of secondary button  */
    secondaryButtonTitle?: string;
    /** ternaryButtonTitle: is optional prop which defines title of ternary button  */
    ternaryButtonTitle?: string;
    /** isPrimaryButtonEnabled: is optional prop which controls whether show primary button or not  */
    isPrimaryButtonEnabled?: boolean;
    /** isSecondaryButtonEnabled: is optional prop which controls whether show secondary button or not  */
    isSecondaryButtonEnabled?: boolean;
    /** isTernaryButtonEnabled: is optional prop which controls whether show ternary button or not  */
    isTernaryButtonEnabled?: boolean;
    /** primaryButtonBadgeCount: is optional which shows the badge count on primary button  */
    primaryButtonBadgeCount?: number;
    /** secondaryButtonBadgeCount: is optional which shows the badge count on secondary button  */
    secondaryButtonBadgeCount?: number;
    /** ternaryButtonBadgeCount: is optional which shows the badge count on ternary button  */
    ternaryButtonBadgeCount?: number;
    /** isPrimaryButtonLoading: is an optional prop that indicates if the primary button is in a loading state */
    isPrimaryButtonLoading?: boolean;
    /** isSecondaryButtonLoading: is an optional prop that indicates if the secondary button is in a loading state */
    isSecondaryButtonLoading?: boolean;
    /** isTernaryButtonLoading: is an optional prop that indicates if the ternary button is in a loading state */
    isTernaryButtonLoading?: boolean;
    /** totalRecordsCount: is optional prop which defines total number of records */
    totalRecordsCount?: number;
    /** title: is required prop which defines title of the Header */
    title?: string;
    /** containerClassName: is optional prop which defines class name of the container */
    containerClassName?: string;
    primaryButtonClassName?: string;
    secondaryButtonClassName?: string;
    ternaryButtonClassName?: string;
}
declare const Header: (props: IHeaderProps) => import("react/jsx-runtime").JSX.Element;
export default Header;
