import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from 'react';
const VsAdminContext = createContext({
    getToken: () => null,
    logoutUser: () => { },
    userEmail: '',
});
export const VsAdminProvider = ({ getToken, children, logoutUser, userEmail = '', }) => {
    return (_jsx(VsAdminContext.Provider, { value: {
            getToken,
            logoutUser,
            userEmail,
        }, children: children }));
};
export const useVsAdmin = () => {
    const context = useContext(VsAdminContext);
    return context ?? { getToken: () => null, logoutUser: () => { }, userEmail: '' };
};
